DROP SCHEMA(7)

NAME
DROP_SCHEMA - remove a schema

SYNOPSIS

DROP SCHEMA [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP SCHEMA removes schemas from the database.

A schema can only be dropped by its owner or a superuser. Note that the owner can drop the schema (and thereby all contained objects) even if they do not own some of the objects within the schema.

PARAMETERS

IF EXISTS
    Do not throw an error if the schema does not exist. A notice is issued in this case.

name
    The name of a schema.

CASCADE
    Automatically drop objects (tables, functions, etc.) that are contained in the schema, and in turn all objects that depend on those objects (see Section 5.15).

RESTRICT
    Refuse to drop the schema if it contains any objects. This is the default.

NOTES

Using the CASCADE option might make the command remove objects in other schemas besides the one(s) named.

EXAMPLES

To remove schema mystuff from the database, along with everything it contains:

    DROP SCHEMA mystuff CASCADE;

COMPATIBILITY

DROP SCHEMA is fully conforming with the SQL standard, except that the standard only allows one schema to be dropped per command, and apart from the IF EXISTS option, which is a PostgreSQL extension.

SEE ALSO
ALTER SCHEMA (ALTER_SCHEMA(7)), CREATE SCHEMA (CREATE_SCHEMA(7))